Bug 147902 - .ICEauthority file's location can not be set; gnome quits on smb-shares
.ICEauthority file's location can not be set; gnome quits on smb-shares
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-12 08:42 EST by David Spitzer
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 165923 None None None Never

  None (edit)
Description David Spitzer 2005-02-12 08:42:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.5.6 (KHTML, like Gecko) Safari/125.12

Description of problem:
Gnome can't be used on home directories mounted via smb-shares as there's no way to set the location of the .ICEauthority file. When gnome-session starts up it tries to lock the file in the user's home directory. That operation fails on smb and (as it seems after searching the web and forums) also on NFS shares. Gnome-session immediately quits afterwards which stops the login sequence and pushes me back to the login prompt.

The error message on the console is:
** (gnome-session:1289): WARNING **: Unable to lock ICE authority file:
/home/Administrator/.ICEauthority

There seems to be no way to specify an alternate location for the .ICEauthority file like for .Xauthority which can be set in gnome.conf

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Mount a smb share as the home directory
2. Start a gnome session

Actual Results:  gnome-session quits

Additional info:

I've already filed that one on bugs.gnome.org but it doesn't seem like they're looking at bugs filed as I could see other bugreports on iceauth marked as NEW from 2002!
Comment 1 Matthew Miller 2006-07-10 17:57:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:42:55 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.